job_collect {cloudml} | R Documentation

## Collect job output

### Description

Collect the job outputs (e.g. fitted model) from a job. If the job has not yet finished running, `job_collect()` will block and wait until the job has finished.

### Usage

    job_collect(job = "latest", trials = "best", destination = "runs",
      timeout = NULL, view = interactive())

### Arguments

`job` | Job name or job object. Pass "latest" to indicate the most recently submitted job.
`trials` | Under hyperparameter tuning, specifies which trials to download. Use `"best"` to download best trial, `"all"` to download all, or a vector of trials `c(1,2)` or `1`.
`destination` | The destination directory in which model outputs should be downloaded. Defaults to `runs`.
`timeout` | Give up collecting job after the specified minutes.
`view` | View the job results after collecting it. You can also pass "save" to save a copy of the run report at `tfruns.d/view.html`

### See Also

Other job management functions: `job_cancel`, `job_list`, `job_status`, `job_stream_logs`, `job_trials`

[Package cloudml version 0.6.1 Index]